"{ Package: 'jv:dragonfly/asm' }"

"{ NameSpace: Smalltalk }"

AJStackInstruction subclass:#AJCallArgument
	instanceVariableNames:'size stackOffset first'
	classVariableNames:''
	poolDictionaries:''
	category:'AsmJit-StackManagement'
!

!AJCallArgument methodsFor:'accessing'!

instructionName
    ^ #push
!

name
    ^ 'argument push:'
!

size

    ^ size 
!

size: aSmallInteger 

    size := aSmallInteger
!

stackOffset: anOffset
    stackOffset := anOffset 
! !

!AJCallArgument methodsFor:'function calls'!

prepareCallAlignments

    callInfo noticeArgument: self
! !

!AJCallArgument methodsFor:'visitor'!

accept: anObject
    ^ anObject visitCallArgument: self  
! !

