"{ Package: 'jv:dragonfly/asm' }"

"{ NameSpace: Smalltalk }"

AJInstruction subclass:#AJInstructionDecoration
	instanceVariableNames:'end'
	classVariableNames:''
	poolDictionaries:''
	category:'AsmJit-Instructions'
!

!AJInstructionDecoration methodsFor:'accessing'!

end
    end := true
!

start
    end := false
! !

!AJInstructionDecoration methodsFor:'printing'!

printIndentOn: aStream 
    end ifFalse: [ 
        super printIndentOn: aStream.
        aStream cr ].
    ^ super printIndentOn: aStream
!

printSelfOn: aStream  
    end 
        ifFalse: [ aStream nextPutAll: '/ "' ]
        ifTrue: [	aStream nextPutAll: '\ "end ' ].
    aStream  nextPutAll: annotation; nextPut: $".
    
! !

!AJInstructionDecoration methodsFor:'visitor'!

accept: anObject
    anObject instructionDecoration: self
! !

