"{ Package: 'jv:dragonfly/asm' }"

"{ NameSpace: Smalltalk }"

AJx86Instruction subclass:#AJx64Instruction
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'AsmJit-x86-Instructions'
!

!AJx64Instruction methodsFor:'accessing'!

instructionDesciptions
    ^ AJx64InstructionDescription instructions
! !

!AJx64Instruction methodsFor:'testing'!

is32BitMode
    ^ false
!

is64BitMode
    ^ true
!

requiresRex
    "Answer true if I absolutely must have a REX prefix."

    ^ (operands
        detect: [ :rawOp | 
            | op |
            op := rawOp asAJOperand.
            op requiresRex | op is64 ]
        ifNone: [ #none ]) ~~ #none
! !

