"{ Package: 'jv:dragonfly/asm' }"

"{ NameSpace: Smalltalk }"

AJInstruction subclass:#AJJumpLabel
	instanceVariableNames:'isSet'
	classVariableNames:''
	poolDictionaries:''
	category:'AsmJit-Instructions'
!


!AJJumpLabel methodsFor:'accessing'!

extractLabels: aBlock

    aBlock value: name value: position
!

isSet
    ^ isSet == true
!

isSet: anObject
    isSet := anObject
! !

!AJJumpLabel methodsFor:'emitting code'!

emitCode: asm
    
! !

!AJJumpLabel methodsFor:'printing'!

printAsOperandOn: aStream
    
    aStream nextPutAll: '@@';
        nextPutAll: name asString 
!

printOn: aStream
    
    aStream nextPutAll: '@@';
        nextPutAll: name asString 
!

printSelfOn: aStream
    aStream nextPutAll: '@@';
        nextPutAll: name asString 
! !

!AJJumpLabel methodsFor:'testing'!

isLabel
    ^ true
! !

!AJJumpLabel methodsFor:'visitor'!

accept: anObject
    anObject jumpLabel: self
! !

!AJJumpLabel class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

