"{ Package: 'jv:dragonfly/asm' }"

"{ NameSpace: Smalltalk }"

AJInstruction subclass:#AJReleaseTemps
	instanceVariableNames:'count'
	classVariableNames:''
	poolDictionaries:''
	category:'AsmJit-StackManagement'
!

!AJReleaseTemps methodsFor:'accessing'!

count
    ^ count
!

count: anObject
    count := anObject
! !

!AJReleaseTemps methodsFor:'printing'!

printOn: aStream
    ^ self printSelfOn: aStream  
!

printSelfOn: aStream
    aStream nextPutAll: 'Release temps: ';
    print: count   
! !

!AJReleaseTemps methodsFor:'visitor'!

accept: anObject
    anObject visitReleaseTemps: self   
!

processTempsWith: anObject
    anObject releaseTemps: count
! !

